Bug 598934 - rpm: Fails to remove the SUID/SGID bits on package upgrade [Fedora all]
rpm: Fails to remove the SUID/SGID bits on package upgrade [Fedora all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Securit...
: Security
Depends On:
Blocks: CVE-2010-2059
  Show dependency treegraph
 
Reported: 2010-06-02 07:18 EDT by Jan Lieskovsky
Modified: 2010-08-13 05:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 05:12:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-06-02 07:18:57 EDT
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in affected Fedora versions.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

bug #598775:
rpm: Fails to remove the SUID/SGID bits on package upgrade

When creating a Bodhi update request, please include the bug IDs of the respective parent bugs filed against the "Security Response" product. Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=598775

Please note: this issue affects multiple supported versions of Fedora.  Only one tracking bug has been filed; please only close it when all affected versions are fixed.

For more information see: http://fedoraproject.org/wiki/Security/TrackingBugs
Comment 1 Fedora Update System 2010-06-11 07:42:05 EDT
rpm-4.8.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rpm-4.8.1-1.fc13
Comment 2 Fedora Update System 2010-07-07 13:42:47 EDT
rpm-4.8.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Bug Zapper 2010-07-30 07:46:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Panu Matilainen 2010-08-13 05:12:16 EDT
This has been fixed in all supported versions + rawhide over a month ago, F-14 which was branched later was never affected.

Note You need to log in before you can comment on or make changes to this bug.